%define libname libglpk

Name:          glpk
Version:       4.62
Release:       1mamba
Summary:       GNU Linear Programming Kit
Group:         Applications/Mathematics
Vendor:        openmamba
Distribution:  openmamba
Packager:      Aleph0 <aleph0@openmamba.org>
URL:           http://www.gnu.org/software/glpk/glpk.html
Source:        http://ftp.gnu.org/gnu/glpk/glpk-%{version}.tar.gz
License:       GPL
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libgmp-devel
Requires:      %{libname} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The GLPK (GNU Linear Programming Kit) package is intended for solving large-scale linear programming (LP), mixed integer programming (MIP), and other related problems.
It is a set of routines written in ANSI C and organized in the form of a callable library.

GLPK supports the GNU MathProg language, which is a subset of the AMPL language.

The GLPK package includes the following main components:
* Revised simplex method.
* Primal-dual interior point method.
* Branch-and-bound method.
* Translator for GNU MathProg.
* Application program interface (API).
* Stand-alone LP/MIP solver.

%package -n %{libname}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n %{libname}
The GLPK (GNU Linear Programming Kit) package is intended for solving large-scale linear programming (LP), mixed integer programming (MIP), and other related problems.
It is a set of routines written in ANSI C and organized in the form of a callable library.

This package contains the shared libraries for %{name}.

%package -n %{libname}-devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description -n %{libname}-devel
The GLPK (GNU Linear Programming Kit) package is intended for solving large-scale linear programming (LP), mixed integer programming (MIP), and other related problems.
It is a set of routines written in ANSI C and organized in the form of a callable library.

This package contains static libraries and header files need for development.

%prep
%setup -q

%build
%configure \
   --enable-shared \
   --disable-static
%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/glpsol
#%{_bindir}/tspsol
%doc AUTHORS COPYING ChangeLog NEWS README

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libglpk.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/libglpk.la
%{_libdir}/libglpk.so
%{_includedir}/*.h

%changelog
* Fri Jun 16 2017 Automatic Build System <autodist@mambasoft.it> 4.62-1mamba
- automatic version update by autodist

* Sun Jan 29 2017 Automatic Build System <autodist@mambasoft.it> 4.61-1mamba
- automatic version update by autodist

* Tue Apr 05 2016 Automatic Build System <autodist@mambasoft.it> 4.60-1mamba
- automatic version update by autodist

* Wed Mar 09 2016 Automatic Build System <autodist@mambasoft.it> 4.58-1mamba
- automatic version update by autodist

* Wed Nov 11 2015 Automatic Build System <autodist@mambasoft.it> 4.57-1mamba
- automatic version update by autodist

* Sat Aug 23 2014 Automatic Build System <autodist@mambasoft.it> 4.55-1mamba
- automatic update by autodist

* Wed Apr 09 2014 Automatic Build System <autodist@mambasoft.it> 4.54-1mamba
- automatic version update by autodist

* Mon Feb 24 2014 Automatic Build System <autodist@mambasoft.it> 4.53-1mamba
- automatic update by autodist

* Mon Aug 26 2013 Automatic Build System <autodist@mambasoft.it> 4.52.1-1mamba
- automatic update by autodist

* Wed Jul 31 2013 Automatic Build System <autodist@mambasoft.it> 4.52-1mamba
- automatic version update by autodist

* Sun Jun 23 2013 Automatic Build System <autodist@mambasoft.it> 4.51-1mamba
- automatic version update by autodist

* Tue May 28 2013 Automatic Build System <autodist@mambasoft.it> 4.50-1mamba
- automatic version update by autodist

* Mon Apr 22 2013 Automatic Build System <autodist@mambasoft.it> 4.49-1mamba
- automatic version update by autodist

* Tue Jan 29 2013 Automatic Build System <autodist@mambasoft.it> 4.48-1mamba
- automatic version update by autodist

* Tue Oct 04 2011 Automatic Build System <autodist@mambasoft.it> 4.47-1mamba
- automatic version update by autodist

* Tue Aug 16 2011 Automatic Build System <autodist@mambasoft.it> 4.46-1mamba
- automatic version update by autodist

* Wed Dec 08 2010 Automatic Build System <autodist@mambasoft.it> 4.45-1mamba
- automatic update by autodist

* Sat Jun 26 2010 Automatic Build System <autodist@mambasoft.it> 4.44-1mamba
- automatic update by autodist

* Sat Apr 17 2010 Automatic Build System <autodist@mambasoft.it> 4.43-1mamba
- automatic update by autodist

* Sat Jan 16 2010 Automatic Build System <autodist@mambasoft.it> 4.42-1mamba
- automatic update by autodist

* Wed Jul 29 2009 Automatic Build System <autodist@mambasoft.it> 4.39-1mamba
- automatic update by autodist

* Sun May 10 2009 Automatic Build System <autodist@mambasoft.it> 4.38-1mamba
- automatic update by autodist

* Sat Apr 04 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 4.37-1mamba
- automatic update by autodist

* Mon Mar 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 4.36-1mamba
- automatic update by autodist

* Sun Jan 04 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 4.34-1mamba
- automatic update by autodist

* Tue May 13 2008 Aleph0 <aleph0@openmamba.org> 4.28-1mamba
- update to 4.28

* Mon Feb 25 2008 Aleph0 <aleph0@openmamba.org> 4.26-1mamba
- update to 4.26

* Mon Jan 07 2008 Aleph0 <aleph0@openmamba.org> 4.25-1mamba
- update to 4.25

* Fri Nov 23 2007 Aleph0 <aleph0@openmamba.org> 4.24-1mamba
- update to 4.24

* Thu Sep 20 2007 Aleph0 <aleph0@openmamba.org> 4.22-1mamba
- update to 4.22

* Mon Jul 02 2007 Aleph0 <aleph0@openmamba.org> 4.18-1mamba
- update to 4.18

* Tue Jun 05 2007 Aleph0 <aleph0@openmamba.org> 4.17-1mamba
- update to 4.17

* Mon May 07 2007 Aleph0 <aleph0@openmamba.org> 4.16-1mamba
- update to 4.16
- do not build the static library

* Thu Mar 08 2007 Aleph0 <aleph0@openmamba.org> 4.15-1qilnx
- update to version 4.15 by autospec
- created the library end devel packages

* Thu Nov 09 2006 Davide Madrisan <davide.madrisan@qilinux.it> 4.12-1qilnx
- update to version 4.12 by autospec

* Fri May 12 2006 Davide Madrisan <davide.madrisan@qilinux.it> 4.10-1qilnx
- package created by autospec
